using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a reptilian corpse" )]
	public class Sakkhra : BaseCreature
	{
		public override InhumanSpeech SpeechType{ get{ return InhumanSpeech.Lizardman; } }

		[Constructable]
		public Sakkhra() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "lizardman" );
			HiddenTitle = "the sakkhra";
			Body = Utility.RandomList( 168, 170 );
			BaseSoundID = 417;

			SetStr( 154, 192 );
			SetDex( 138, 168 );
			SetInt( 58, 96 );

			SetHits( 93, 115 );

			SetDamage( 8, 11 );

			SetSkill( SkillName.MagicResist, 56.2, 96.0 );
			SetSkill( SkillName.Tactics, 88.2, 128.0 );
			SetSkill( SkillName.HandToHand, 80.2, 112.0 );

			Fame = 2400;
			Karma = -2400;

			VirtualArmor = 45;

			if ( Body == 168 )
			{
				PackItem( new WoodenShield() );
				PackItem( new Halberd() );
			}
			else if ( Body == 170 )
			{
				PackItem( new WoodenShield() );
				PackItem( new Mace() );
			}
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 12; } }

		public Sakkhra( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}